!define INSTALLER_NAME "setup.exe"
!ifndef INNER
!finalize '"c:\Program Files (x86)\Microsoft SDKs\ClickOnce\SignTool\signtool.exe" sign /tr http://timestamp.digicert.com /td sha256 /fd sha256 /a "%1"'
!endif

############################################################################################
#      NSIS Installation Script created by NSIS Quick Setup Script Generator v1.09.18
#               Entirely Edited with NullSoft Scriptable Installation System                
#              by Vlasis K. Barkas aka Red Wine red_wine@freemail.gr Sep 2006               
############################################################################################

!define APP_NAME "Raspberry Pi Imager"
!define COMP_NAME "Raspberry Pi"
#!define WEB_SITE "https://www.raspberrypi.org/"
!define VERSION "00.00.00.01"
!define COPYRIGHT "Raspberry Pi"
!define DESCRIPTION "Raspberry Pi Imager"
!define MAIN_APP_EXE "imagingutility.exe"
!define INSTALL_TYPE "SetShellVarContext current"
!define REG_ROOT "HKCU"
!define REG_APP_PATH "Software\Microsoft\Windows\CurrentVersion\App Paths\${MAIN_APP_EXE}"
!define UNINSTALL_PATH "Software\Microsoft\Windows\CurrentVersion\Uninstall\${APP_NAME}"

######################################################################

VIProductVersion  "${VERSION}"
VIAddVersionKey "ProductName"  "${APP_NAME}"
VIAddVersionKey "CompanyName"  "${COMP_NAME}"
VIAddVersionKey "LegalCopyright"  "${COPYRIGHT}"
VIAddVersionKey "FileDescription"  "${DESCRIPTION}"
VIAddVersionKey "FileVersion"  "${VERSION}"

######################################################################

SetCompressor LZMA
Name "${APP_NAME}"
Caption "${APP_NAME}"
OutFile "${INSTALLER_NAME}"
BrandingText "${APP_NAME}"
XPStyle on
InstallDirRegKey "${REG_ROOT}" "${REG_APP_PATH}" ""
InstallDir "$PROGRAMFILES\Raspberry Pi Imager"

######################################################################

### Stuff for signing uninstaller
!ifdef INNER
  !echo "Inner invocation"                  ; just to see what's going on
  OutFile "$%TEMP%\tempinstaller.exe"       ; not really important where this is
  SetCompress off
!else
  !echo "Outer invocation"
 
  ; Call makensis again against current file, defining INNER.  This writes an installer for us which, when
  ; it is invoked, will just write the uninstaller to some location, and then exit.
 
  !makensis '/DINNER "${__FILE__}"' = 0
 
  ; So now run that installer we just created as %TEMP%\tempinstaller.exe.  Since it
  ; calls quit the return value isn't zero.
 
  !system "$%TEMP%\tempinstaller.exe" = 2
 
  ; That will have written an uninstaller binary for us.  Now we sign it with your
  ; favorite code signing tool.
 
  !system '"c:\Program Files (x86)\Microsoft SDKs\ClickOnce\SignTool\signtool.exe" sign /tr http://timestamp.digicert.com /td sha256 /fd sha256 /a "$%TEMP%\uninstall.exe"' = 0
 
  ; Good.  Now we can carry on writing the real installer.
 
  OutFile "setup.exe"
  SetCompressor /SOLID lzma
!endif

###


!include "MUI.nsh"

!define MUI_ABORTWARNING
!define MUI_UNABORTWARNING

!insertmacro MUI_PAGE_WELCOME

!ifdef LICENSE_TXT
!insertmacro MUI_PAGE_LICENSE "${LICENSE_TXT}"
!endif

!ifdef REG_START_MENU
!define MUI_STARTMENUPAGE_NODISABLE
!define MUI_STARTMENUPAGE_DEFAULTFOLDER "Raspberry Pi"
!define MUI_STARTMENUPAGE_REGISTRY_ROOT "${REG_ROOT}"
!define MUI_STARTMENUPAGE_REGISTRY_KEY "${UNINSTALL_PATH}"
!define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "${REG_START_MENU}"
!insertmacro MUI_PAGE_STARTMENU Application $SM_Folder
!endif

!insertmacro MUI_PAGE_INSTFILES

!define MUI_FINISHPAGE_RUN "$INSTDIR\${MAIN_APP_EXE}"
!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_UNPAGE_CONFIRM

!insertmacro MUI_UNPAGE_INSTFILES

!insertmacro MUI_UNPAGE_FINISH

!insertmacro MUI_LANGUAGE "English"

######################################################################

Section -MainProgram
${INSTALL_TYPE}
SetOverwrite ifnewer
SetOutPath "$INSTDIR"
File "deploy\D3Dcompiler_47.dll"
#File "deploy\opengl32sw.dll"
File "deploy\libssl-1_1.dll"
File "deploy\libcrypto-1_1.dll"
File "deploy\fat32format.exe"
File "deploy\libEGL.dll"
File "deploy\libgcc_s_dw2-1.dll"
File "deploy\libGLESV2.dll"
File "deploy\libstdc++-6.dll"
File "deploy\libwinpthread-1.dll"
File "deploy\license.txt"
File "deploy\Qt5Core.dll"
File "deploy\Qt5Gui.dll"
File "deploy\Qt5Network.dll"
File "deploy\Qt5Qml.dll"
File "deploy\Qt5QmlModels.dll"
File "deploy\Qt5QmlWorkerScript.dll"
File "deploy\Qt5Quick.dll"
File "deploy\Qt5QuickControls2.dll"
File "deploy\Qt5QuickTemplates2.dll"
File "deploy\Qt5Svg.dll"
File "deploy\Qt5Widgets.dll"
File "deploy\imagingutility.exe"
SetOutPath "$INSTDIR\styles"
File "deploy\styles\qwindowsvistastyle.dll"
SetOutPath "$INSTDIR\QtQuick.2"
File "deploy\QtQuick.2\plugins.qmltypes"
File "deploy\QtQuick.2\qmldir"
File "deploy\QtQuick.2\qtquick2plugin.dll"
SetOutPath "$INSTDIR\QtQuick\Window.2"
File "deploy\QtQuick\Window.2\plugins.qmltypes"
File "deploy\QtQuick\Window.2\qmldir"
File "deploy\QtQuick\Window.2\windowplugin.dll"
SetOutPath "$INSTDIR\QtQuick\Templates.2"
File "deploy\QtQuick\Templates.2\plugins.qmltypes"
File "deploy\QtQuick\Templates.2\qmldir"
File "deploy\QtQuick\Templates.2\qtquicktemplates2plugin.dll"
SetOutPath "$INSTDIR\QtQuick\Layouts"
File "deploy\QtQuick\Layouts\plugins.qmltypes"
File "deploy\QtQuick\Layouts\qmldir"
File "deploy\QtQuick\Layouts\qquicklayoutsplugin.dll"
SetOutPath "$INSTDIR\QtQuick\Controls.2"
File "deploy\QtQuick\Controls.2\AbstractButton.qml"
File "deploy\QtQuick\Controls.2\Action.qml"
File "deploy\QtQuick\Controls.2\ActionGroup.qml"
File "deploy\QtQuick\Controls.2\ApplicationWindow.qml"
File "deploy\QtQuick\Controls.2\BusyIndicator.qml"
File "deploy\QtQuick\Controls.2\Button.qml"
File "deploy\QtQuick\Controls.2\ButtonGroup.qml"
File "deploy\QtQuick\Controls.2\CheckBox.qml"
File "deploy\QtQuick\Controls.2\CheckDelegate.qml"
File "deploy\QtQuick\Controls.2\ComboBox.qml"
File "deploy\QtQuick\Controls.2\Container.qml"
File "deploy\QtQuick\Controls.2\Control.qml"
File "deploy\QtQuick\Controls.2\DelayButton.qml"
File "deploy\QtQuick\Controls.2\Dial.qml"
File "deploy\QtQuick\Controls.2\Dialog.qml"
File "deploy\QtQuick\Controls.2\DialogButtonBox.qml"
File "deploy\QtQuick\Controls.2\Drawer.qml"
File "deploy\QtQuick\Controls.2\Frame.qml"
File "deploy\QtQuick\Controls.2\GroupBox.qml"
File "deploy\QtQuick\Controls.2\ItemDelegate.qml"
File "deploy\QtQuick\Controls.2\Label.qml"
File "deploy\QtQuick\Controls.2\Menu.qml"
File "deploy\QtQuick\Controls.2\MenuBar.qml"
File "deploy\QtQuick\Controls.2\MenuBarItem.qml"
File "deploy\QtQuick\Controls.2\MenuItem.qml"
File "deploy\QtQuick\Controls.2\MenuSeparator.qml"
File "deploy\QtQuick\Controls.2\Page.qml"
File "deploy\QtQuick\Controls.2\PageIndicator.qml"
File "deploy\QtQuick\Controls.2\Pane.qml"
File "deploy\QtQuick\Controls.2\plugins.qmltypes"
File "deploy\QtQuick\Controls.2\Popup.qml"
File "deploy\QtQuick\Controls.2\ProgressBar.qml"
File "deploy\QtQuick\Controls.2\qmldir"
File "deploy\QtQuick\Controls.2\qtquickcontrols2plugin.dll"
File "deploy\QtQuick\Controls.2\RadioButton.qml"
File "deploy\QtQuick\Controls.2\RadioDelegate.qml"
File "deploy\QtQuick\Controls.2\RangeSlider.qml"
File "deploy\QtQuick\Controls.2\RoundButton.qml"
File "deploy\QtQuick\Controls.2\ScrollBar.qml"
File "deploy\QtQuick\Controls.2\ScrollIndicator.qml"
File "deploy\QtQuick\Controls.2\ScrollView.qml"
File "deploy\QtQuick\Controls.2\Slider.qml"
File "deploy\QtQuick\Controls.2\SpinBox.qml"
File "deploy\QtQuick\Controls.2\SplitView.qml"
File "deploy\QtQuick\Controls.2\StackView.qml"
File "deploy\QtQuick\Controls.2\SwipeDelegate.qml"
File "deploy\QtQuick\Controls.2\SwipeView.qml"
File "deploy\QtQuick\Controls.2\Switch.qml"
File "deploy\QtQuick\Controls.2\SwitchDelegate.qml"
File "deploy\QtQuick\Controls.2\TabBar.qml"
File "deploy\QtQuick\Controls.2\TabButton.qml"
File "deploy\QtQuick\Controls.2\TextArea.qml"
File "deploy\QtQuick\Controls.2\TextField.qml"
File "deploy\QtQuick\Controls.2\ToolBar.qml"
File "deploy\QtQuick\Controls.2\ToolButton.qml"
File "deploy\QtQuick\Controls.2\ToolSeparator.qml"
File "deploy\QtQuick\Controls.2\ToolTip.qml"
File "deploy\QtQuick\Controls.2\Tumbler.qml"
SetOutPath "$INSTDIR\QtQuick\Controls.2\Universal"
File "deploy\QtQuick\Controls.2\Universal\ApplicationWindow.qml"
File "deploy\QtQuick\Controls.2\Universal\BusyIndicator.qml"
File "deploy\QtQuick\Controls.2\Universal\Button.qml"
File "deploy\QtQuick\Controls.2\Universal\CheckBox.qml"
File "deploy\QtQuick\Controls.2\Universal\CheckDelegate.qml"
File "deploy\QtQuick\Controls.2\Universal\CheckIndicator.qml"
File "deploy\QtQuick\Controls.2\Universal\ComboBox.qml"
File "deploy\QtQuick\Controls.2\Universal\DelayButton.qml"
File "deploy\QtQuick\Controls.2\Universal\Dial.qml"
File "deploy\QtQuick\Controls.2\Universal\Dialog.qml"
File "deploy\QtQuick\Controls.2\Universal\DialogButtonBox.qml"
File "deploy\QtQuick\Controls.2\Universal\Drawer.qml"
File "deploy\QtQuick\Controls.2\Universal\Frame.qml"
File "deploy\QtQuick\Controls.2\Universal\GroupBox.qml"
File "deploy\QtQuick\Controls.2\Universal\ItemDelegate.qml"
File "deploy\QtQuick\Controls.2\Universal\Label.qml"
File "deploy\QtQuick\Controls.2\Universal\Menu.qml"
File "deploy\QtQuick\Controls.2\Universal\MenuBar.qml"
File "deploy\QtQuick\Controls.2\Universal\MenuBarItem.qml"
File "deploy\QtQuick\Controls.2\Universal\MenuItem.qml"
File "deploy\QtQuick\Controls.2\Universal\MenuSeparator.qml"
File "deploy\QtQuick\Controls.2\Universal\Page.qml"
File "deploy\QtQuick\Controls.2\Universal\PageIndicator.qml"
File "deploy\QtQuick\Controls.2\Universal\Pane.qml"
File "deploy\QtQuick\Controls.2\Universal\plugins.qmltypes"
File "deploy\QtQuick\Controls.2\Universal\Popup.qml"
File "deploy\QtQuick\Controls.2\Universal\ProgressBar.qml"
File "deploy\QtQuick\Controls.2\Universal\qmldir"
File "deploy\QtQuick\Controls.2\Universal\qtquickcontrols2universalstyleplugin.dll"
File "deploy\QtQuick\Controls.2\Universal\RadioButton.qml"
File "deploy\QtQuick\Controls.2\Universal\RadioDelegate.qml"
File "deploy\QtQuick\Controls.2\Universal\RadioIndicator.qml"
File "deploy\QtQuick\Controls.2\Universal\RangeSlider.qml"
File "deploy\QtQuick\Controls.2\Universal\RoundButton.qml"
File "deploy\QtQuick\Controls.2\Universal\ScrollBar.qml"
File "deploy\QtQuick\Controls.2\Universal\ScrollIndicator.qml"
File "deploy\QtQuick\Controls.2\Universal\Slider.qml"
File "deploy\QtQuick\Controls.2\Universal\SpinBox.qml"
File "deploy\QtQuick\Controls.2\Universal\SplitView.qml"
File "deploy\QtQuick\Controls.2\Universal\StackView.qml"
File "deploy\QtQuick\Controls.2\Universal\SwipeDelegate.qml"
File "deploy\QtQuick\Controls.2\Universal\Switch.qml"
File "deploy\QtQuick\Controls.2\Universal\SwitchDelegate.qml"
File "deploy\QtQuick\Controls.2\Universal\SwitchIndicator.qml"
File "deploy\QtQuick\Controls.2\Universal\TabBar.qml"
File "deploy\QtQuick\Controls.2\Universal\TabButton.qml"
File "deploy\QtQuick\Controls.2\Universal\TextArea.qml"
File "deploy\QtQuick\Controls.2\Universal\TextField.qml"
File "deploy\QtQuick\Controls.2\Universal\ToolBar.qml"
File "deploy\QtQuick\Controls.2\Universal\ToolButton.qml"
File "deploy\QtQuick\Controls.2\Universal\ToolSeparator.qml"
File "deploy\QtQuick\Controls.2\Universal\ToolTip.qml"
File "deploy\QtQuick\Controls.2\Universal\Tumbler.qml"
SetOutPath "$INSTDIR\QtQuick\Controls.2\Material"
File "deploy\QtQuick\Controls.2\Material\ApplicationWindow.qml"
File "deploy\QtQuick\Controls.2\Material\BoxShadow.qml"
File "deploy\QtQuick\Controls.2\Material\BusyIndicator.qml"
File "deploy\QtQuick\Controls.2\Material\Button.qml"
File "deploy\QtQuick\Controls.2\Material\CheckBox.qml"
File "deploy\QtQuick\Controls.2\Material\CheckDelegate.qml"
File "deploy\QtQuick\Controls.2\Material\CheckIndicator.qml"
File "deploy\QtQuick\Controls.2\Material\ComboBox.qml"
File "deploy\QtQuick\Controls.2\Material\CursorDelegate.qml"
File "deploy\QtQuick\Controls.2\Material\DelayButton.qml"
File "deploy\QtQuick\Controls.2\Material\Dial.qml"
File "deploy\QtQuick\Controls.2\Material\Dialog.qml"
File "deploy\QtQuick\Controls.2\Material\DialogButtonBox.qml"
File "deploy\QtQuick\Controls.2\Material\Drawer.qml"
File "deploy\QtQuick\Controls.2\Material\ElevationEffect.qml"
File "deploy\QtQuick\Controls.2\Material\Frame.qml"
File "deploy\QtQuick\Controls.2\Material\GroupBox.qml"
File "deploy\QtQuick\Controls.2\Material\ItemDelegate.qml"
File "deploy\QtQuick\Controls.2\Material\Label.qml"
File "deploy\QtQuick\Controls.2\Material\Menu.qml"
File "deploy\QtQuick\Controls.2\Material\MenuBar.qml"
File "deploy\QtQuick\Controls.2\Material\MenuBarItem.qml"
File "deploy\QtQuick\Controls.2\Material\MenuItem.qml"
File "deploy\QtQuick\Controls.2\Material\MenuSeparator.qml"
File "deploy\QtQuick\Controls.2\Material\Page.qml"
File "deploy\QtQuick\Controls.2\Material\PageIndicator.qml"
File "deploy\QtQuick\Controls.2\Material\Pane.qml"
File "deploy\QtQuick\Controls.2\Material\plugins.qmltypes"
File "deploy\QtQuick\Controls.2\Material\Popup.qml"
File "deploy\QtQuick\Controls.2\Material\ProgressBar.qml"
File "deploy\QtQuick\Controls.2\Material\qmldir"
File "deploy\QtQuick\Controls.2\Material\qtquickcontrols2materialstyleplugin.dll"
File "deploy\QtQuick\Controls.2\Material\RadioButton.qml"
File "deploy\QtQuick\Controls.2\Material\RadioDelegate.qml"
File "deploy\QtQuick\Controls.2\Material\RadioIndicator.qml"
File "deploy\QtQuick\Controls.2\Material\RangeSlider.qml"
File "deploy\QtQuick\Controls.2\Material\RectangularGlow.qml"
File "deploy\QtQuick\Controls.2\Material\RoundButton.qml"
File "deploy\QtQuick\Controls.2\Material\ScrollBar.qml"
File "deploy\QtQuick\Controls.2\Material\ScrollIndicator.qml"
File "deploy\QtQuick\Controls.2\Material\Slider.qml"
File "deploy\QtQuick\Controls.2\Material\SliderHandle.qml"
File "deploy\QtQuick\Controls.2\Material\SpinBox.qml"
File "deploy\QtQuick\Controls.2\Material\SplitView.qml"
File "deploy\QtQuick\Controls.2\Material\StackView.qml"
File "deploy\QtQuick\Controls.2\Material\SwipeDelegate.qml"
File "deploy\QtQuick\Controls.2\Material\SwipeView.qml"
File "deploy\QtQuick\Controls.2\Material\Switch.qml"
File "deploy\QtQuick\Controls.2\Material\SwitchDelegate.qml"
File "deploy\QtQuick\Controls.2\Material\SwitchIndicator.qml"
File "deploy\QtQuick\Controls.2\Material\TabBar.qml"
File "deploy\QtQuick\Controls.2\Material\TabButton.qml"
File "deploy\QtQuick\Controls.2\Material\TextArea.qml"
File "deploy\QtQuick\Controls.2\Material\TextField.qml"
File "deploy\QtQuick\Controls.2\Material\ToolBar.qml"
File "deploy\QtQuick\Controls.2\Material\ToolButton.qml"
File "deploy\QtQuick\Controls.2\Material\ToolSeparator.qml"
File "deploy\QtQuick\Controls.2\Material\ToolTip.qml"
File "deploy\QtQuick\Controls.2\Material\Tumbler.qml"
SetOutPath "$INSTDIR\QtQuick\Controls.2\Imagine"
File "deploy\QtQuick\Controls.2\Imagine\ApplicationWindow.qml"
File "deploy\QtQuick\Controls.2\Imagine\BusyIndicator.qml"
File "deploy\QtQuick\Controls.2\Imagine\Button.qml"
File "deploy\QtQuick\Controls.2\Imagine\CheckBox.qml"
File "deploy\QtQuick\Controls.2\Imagine\CheckDelegate.qml"
File "deploy\QtQuick\Controls.2\Imagine\ComboBox.qml"
File "deploy\QtQuick\Controls.2\Imagine\DelayButton.qml"
File "deploy\QtQuick\Controls.2\Imagine\Dial.qml"
File "deploy\QtQuick\Controls.2\Imagine\Dialog.qml"
File "deploy\QtQuick\Controls.2\Imagine\DialogButtonBox.qml"
File "deploy\QtQuick\Controls.2\Imagine\Drawer.qml"
File "deploy\QtQuick\Controls.2\Imagine\Frame.qml"
File "deploy\QtQuick\Controls.2\Imagine\GroupBox.qml"
File "deploy\QtQuick\Controls.2\Imagine\ItemDelegate.qml"
File "deploy\QtQuick\Controls.2\Imagine\Label.qml"
File "deploy\QtQuick\Controls.2\Imagine\Menu.qml"
File "deploy\QtQuick\Controls.2\Imagine\MenuItem.qml"
File "deploy\QtQuick\Controls.2\Imagine\MenuSeparator.qml"
File "deploy\QtQuick\Controls.2\Imagine\Page.qml"
File "deploy\QtQuick\Controls.2\Imagine\PageIndicator.qml"
File "deploy\QtQuick\Controls.2\Imagine\Pane.qml"
File "deploy\QtQuick\Controls.2\Imagine\plugins.qmltypes"
File "deploy\QtQuick\Controls.2\Imagine\Popup.qml"
File "deploy\QtQuick\Controls.2\Imagine\ProgressBar.qml"
File "deploy\QtQuick\Controls.2\Imagine\qmldir"
File "deploy\QtQuick\Controls.2\Imagine\qtquickcontrols2imaginestyleplugin.dll"
File "deploy\QtQuick\Controls.2\Imagine\RadioButton.qml"
File "deploy\QtQuick\Controls.2\Imagine\RadioDelegate.qml"
File "deploy\QtQuick\Controls.2\Imagine\RangeSlider.qml"
File "deploy\QtQuick\Controls.2\Imagine\RoundButton.qml"
File "deploy\QtQuick\Controls.2\Imagine\ScrollBar.qml"
File "deploy\QtQuick\Controls.2\Imagine\ScrollIndicator.qml"
File "deploy\QtQuick\Controls.2\Imagine\Slider.qml"
File "deploy\QtQuick\Controls.2\Imagine\SpinBox.qml"
File "deploy\QtQuick\Controls.2\Imagine\SplitView.qml"
File "deploy\QtQuick\Controls.2\Imagine\StackView.qml"
File "deploy\QtQuick\Controls.2\Imagine\SwipeDelegate.qml"
File "deploy\QtQuick\Controls.2\Imagine\SwipeView.qml"
File "deploy\QtQuick\Controls.2\Imagine\Switch.qml"
File "deploy\QtQuick\Controls.2\Imagine\SwitchDelegate.qml"
File "deploy\QtQuick\Controls.2\Imagine\TabBar.qml"
File "deploy\QtQuick\Controls.2\Imagine\TabButton.qml"
File "deploy\QtQuick\Controls.2\Imagine\TextArea.qml"
File "deploy\QtQuick\Controls.2\Imagine\TextField.qml"
File "deploy\QtQuick\Controls.2\Imagine\ToolBar.qml"
File "deploy\QtQuick\Controls.2\Imagine\ToolButton.qml"
File "deploy\QtQuick\Controls.2\Imagine\ToolSeparator.qml"
File "deploy\QtQuick\Controls.2\Imagine\ToolTip.qml"
File "deploy\QtQuick\Controls.2\Imagine\Tumbler.qml"
SetOutPath "$INSTDIR\QtQuick\Controls.2\Fusion"
File "deploy\QtQuick\Controls.2\Fusion\ApplicationWindow.qml"
File "deploy\QtQuick\Controls.2\Fusion\BusyIndicator.qml"
File "deploy\QtQuick\Controls.2\Fusion\Button.qml"
File "deploy\QtQuick\Controls.2\Fusion\ButtonPanel.qml"
File "deploy\QtQuick\Controls.2\Fusion\CheckBox.qml"
File "deploy\QtQuick\Controls.2\Fusion\CheckDelegate.qml"
File "deploy\QtQuick\Controls.2\Fusion\CheckIndicator.qml"
File "deploy\QtQuick\Controls.2\Fusion\ComboBox.qml"
File "deploy\QtQuick\Controls.2\Fusion\DelayButton.qml"
File "deploy\QtQuick\Controls.2\Fusion\Dial.qml"
File "deploy\QtQuick\Controls.2\Fusion\Dialog.qml"
File "deploy\QtQuick\Controls.2\Fusion\DialogButtonBox.qml"
File "deploy\QtQuick\Controls.2\Fusion\Drawer.qml"
File "deploy\QtQuick\Controls.2\Fusion\Frame.qml"
File "deploy\QtQuick\Controls.2\Fusion\GroupBox.qml"
File "deploy\QtQuick\Controls.2\Fusion\ItemDelegate.qml"
File "deploy\QtQuick\Controls.2\Fusion\Label.qml"
File "deploy\QtQuick\Controls.2\Fusion\Menu.qml"
File "deploy\QtQuick\Controls.2\Fusion\MenuBar.qml"
File "deploy\QtQuick\Controls.2\Fusion\MenuBarItem.qml"
File "deploy\QtQuick\Controls.2\Fusion\MenuItem.qml"
File "deploy\QtQuick\Controls.2\Fusion\MenuSeparator.qml"
File "deploy\QtQuick\Controls.2\Fusion\Page.qml"
File "deploy\QtQuick\Controls.2\Fusion\PageIndicator.qml"
File "deploy\QtQuick\Controls.2\Fusion\Pane.qml"
File "deploy\QtQuick\Controls.2\Fusion\plugins.qmltypes"
File "deploy\QtQuick\Controls.2\Fusion\Popup.qml"
File "deploy\QtQuick\Controls.2\Fusion\ProgressBar.qml"
File "deploy\QtQuick\Controls.2\Fusion\qmldir"
File "deploy\QtQuick\Controls.2\Fusion\qtquickcontrols2fusionstyleplugin.dll"
File "deploy\QtQuick\Controls.2\Fusion\RadioButton.qml"
File "deploy\QtQuick\Controls.2\Fusion\RadioDelegate.qml"
File "deploy\QtQuick\Controls.2\Fusion\RadioIndicator.qml"
File "deploy\QtQuick\Controls.2\Fusion\RangeSlider.qml"
File "deploy\QtQuick\Controls.2\Fusion\RoundButton.qml"
File "deploy\QtQuick\Controls.2\Fusion\ScrollBar.qml"
File "deploy\QtQuick\Controls.2\Fusion\ScrollIndicator.qml"
File "deploy\QtQuick\Controls.2\Fusion\Slider.qml"
File "deploy\QtQuick\Controls.2\Fusion\SliderGroove.qml"
File "deploy\QtQuick\Controls.2\Fusion\SliderHandle.qml"
File "deploy\QtQuick\Controls.2\Fusion\SpinBox.qml"
File "deploy\QtQuick\Controls.2\Fusion\SplitView.qml"
File "deploy\QtQuick\Controls.2\Fusion\SwipeDelegate.qml"
File "deploy\QtQuick\Controls.2\Fusion\Switch.qml"
File "deploy\QtQuick\Controls.2\Fusion\SwitchDelegate.qml"
File "deploy\QtQuick\Controls.2\Fusion\SwitchIndicator.qml"
File "deploy\QtQuick\Controls.2\Fusion\TabBar.qml"
File "deploy\QtQuick\Controls.2\Fusion\TabButton.qml"
File "deploy\QtQuick\Controls.2\Fusion\TextArea.qml"
File "deploy\QtQuick\Controls.2\Fusion\TextField.qml"
File "deploy\QtQuick\Controls.2\Fusion\ToolBar.qml"
File "deploy\QtQuick\Controls.2\Fusion\ToolButton.qml"
File "deploy\QtQuick\Controls.2\Fusion\ToolSeparator.qml"
File "deploy\QtQuick\Controls.2\Fusion\ToolTip.qml"
File "deploy\QtQuick\Controls.2\Fusion\Tumbler.qml"
SetOutPath "$INSTDIR\QtGraphicalEffects"
File "deploy\QtGraphicalEffects\Blend.qml"
File "deploy\QtGraphicalEffects\BrightnessContrast.qml"
File "deploy\QtGraphicalEffects\Colorize.qml"
File "deploy\QtGraphicalEffects\ColorOverlay.qml"
File "deploy\QtGraphicalEffects\ConicalGradient.qml"
File "deploy\QtGraphicalEffects\Desaturate.qml"
File "deploy\QtGraphicalEffects\DirectionalBlur.qml"
File "deploy\QtGraphicalEffects\Displace.qml"
File "deploy\QtGraphicalEffects\DropShadow.qml"
File "deploy\QtGraphicalEffects\FastBlur.qml"
File "deploy\QtGraphicalEffects\GammaAdjust.qml"
File "deploy\QtGraphicalEffects\GaussianBlur.qml"
File "deploy\QtGraphicalEffects\Glow.qml"
File "deploy\QtGraphicalEffects\HueSaturation.qml"
File "deploy\QtGraphicalEffects\InnerShadow.qml"
File "deploy\QtGraphicalEffects\LevelAdjust.qml"
File "deploy\QtGraphicalEffects\LinearGradient.qml"
File "deploy\QtGraphicalEffects\MaskedBlur.qml"
File "deploy\QtGraphicalEffects\OpacityMask.qml"
File "deploy\QtGraphicalEffects\plugins.qmltypes"
File "deploy\QtGraphicalEffects\qmldir"
File "deploy\QtGraphicalEffects\qtgraphicaleffectsplugin.dll"
File "deploy\QtGraphicalEffects\RadialBlur.qml"
File "deploy\QtGraphicalEffects\RadialGradient.qml"
File "deploy\QtGraphicalEffects\RectangularGlow.qml"
File "deploy\QtGraphicalEffects\RecursiveBlur.qml"
File "deploy\QtGraphicalEffects\ThresholdMask.qml"
File "deploy\QtGraphicalEffects\ZoomBlur.qml"
SetOutPath "$INSTDIR\QtGraphicalEffects\private"
File "deploy\QtGraphicalEffects\private\DropShadowBase.qml"
File "deploy\QtGraphicalEffects\private\DropShadowBase.qmlc"
File "deploy\QtGraphicalEffects\private\FastGlow.qml"
File "deploy\QtGraphicalEffects\private\FastGlow.qmlc"
File "deploy\QtGraphicalEffects\private\FastInnerShadow.qml"
File "deploy\QtGraphicalEffects\private\FastInnerShadow.qmlc"
File "deploy\QtGraphicalEffects\private\FastMaskedBlur.qml"
File "deploy\QtGraphicalEffects\private\FastMaskedBlur.qmlc"
File "deploy\QtGraphicalEffects\private\GaussianDirectionalBlur.qml"
File "deploy\QtGraphicalEffects\private\GaussianDirectionalBlur.qmlc"
File "deploy\QtGraphicalEffects\private\GaussianGlow.qml"
File "deploy\QtGraphicalEffects\private\GaussianGlow.qmlc"
File "deploy\QtGraphicalEffects\private\GaussianInnerShadow.qml"
File "deploy\QtGraphicalEffects\private\GaussianInnerShadow.qmlc"
File "deploy\QtGraphicalEffects\private\GaussianMaskedBlur.qml"
File "deploy\QtGraphicalEffects\private\GaussianMaskedBlur.qmlc"
File "deploy\QtGraphicalEffects\private\qmldir"
File "deploy\QtGraphicalEffects\private\qtgraphicaleffectsprivate.dll"
SetOutPath "$INSTDIR\Qt\labs\settings"
File "deploy\Qt\labs\settings\plugins.qmltypes"
File "deploy\Qt\labs\settings\qmldir"
File "deploy\Qt\labs\settings\qmlsettingsplugin.dll"
SetOutPath "$INSTDIR\qmltooling"
File "deploy\qmltooling\qmldbg_debugger.dll"
File "deploy\qmltooling\qmldbg_inspector.dll"
File "deploy\qmltooling\qmldbg_local.dll"
File "deploy\qmltooling\qmldbg_messages.dll"
File "deploy\qmltooling\qmldbg_native.dll"
File "deploy\qmltooling\qmldbg_nativedebugger.dll"
File "deploy\qmltooling\qmldbg_preview.dll"
File "deploy\qmltooling\qmldbg_profiler.dll"
File "deploy\qmltooling\qmldbg_quickprofiler.dll"
File "deploy\qmltooling\qmldbg_server.dll"
File "deploy\qmltooling\qmldbg_tcp.dll"
SetOutPath "$INSTDIR\platforms"
File "deploy\platforms\qwindows.dll"
SetOutPath "$INSTDIR\imageformats"
File "deploy\imageformats\qicns.dll"
File "deploy\imageformats\qico.dll"
File "deploy\imageformats\qjpeg.dll"
File "deploy\imageformats\qsvg.dll"
File "deploy\imageformats\qtga.dll"
File "deploy\imageformats\qwbmp.dll"
SetOutPath "$INSTDIR\iconengines"
File "deploy\iconengines\qsvgicon.dll"
SetOutPath "$INSTDIR\bearer"
File "deploy\bearer\qgenericbearer.dll"
SectionEnd

######################################################################

Section -Icons_Reg

!ifndef INNER
SetOutPath "$INSTDIR"
File "$%TEMP%\uninstall.exe"
!endif

!ifdef REG_START_MENU
!insertmacro MUI_STARTMENU_WRITE_BEGIN Application
CreateDirectory "$SMPROGRAMS\$SM_Folder"
CreateShortCut "$SMPROGRAMS\$SM_Folder\${APP_NAME}.lnk" "$INSTDIR\${MAIN_APP_EXE}"
!ifdef WEB_SITE
WriteIniStr "$INSTDIR\${APP_NAME} website.url" "InternetShortcut" "URL" "${WEB_SITE}"
CreateShortCut "$SMPROGRAMS\$SM_Folder\${APP_NAME} Website.lnk" "$INSTDIR\${APP_NAME} website.url"
!endif
!insertmacro MUI_STARTMENU_WRITE_END
!endif

!ifndef REG_START_MENU
CreateDirectory "$SMPROGRAMS\Raspberry Pi"
CreateShortCut "$SMPROGRAMS\Raspberry Pi\${APP_NAME}.lnk" "$INSTDIR\${MAIN_APP_EXE}"
!ifdef WEB_SITE
WriteIniStr "$INSTDIR\${APP_NAME} website.url" "InternetShortcut" "URL" "${WEB_SITE}"
CreateShortCut "$SMPROGRAMS\Raspberry Pi\${APP_NAME} Website.lnk" "$INSTDIR\${APP_NAME} website.url"
!endif
!endif

WriteRegStr ${REG_ROOT} "${REG_APP_PATH}" "" "$INSTDIR\${MAIN_APP_EXE}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "DisplayName" "${APP_NAME}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "UninstallString" "$INSTDIR\uninstall.exe"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "DisplayIcon" "$INSTDIR\${MAIN_APP_EXE}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "DisplayVersion" "${VERSION}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "Publisher" "${COMP_NAME}"

!ifdef WEB_SITE
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "URLInfoAbout" "${WEB_SITE}"
!endif


WriteRegStr SHCTX "Software\Classes\.zip\OpenWithProgIds" "RPI_IMAGINGUTILITY" ""
WriteRegStr SHCTX "Software\Classes\.gz\OpenWithProgIds" "RPI_IMAGINGUTILITY" ""
WriteRegStr SHCTX "Software\Classes\.xz\OpenWithProgIds" "RPI_IMAGINGUTILITY" ""
WriteRegStr SHCTX "Software\Classes\.img\OpenWithProgIds" "RPI_IMAGINGUTILITY" ""
WriteRegStr SHCTX "Software\Classes\RPI_IMAGINGUTILITY\shell\open" "FriendlyAppName" "Raspberry Pi Imager"
WriteRegStr SHCTX "Software\Classes\RPI_IMAGINGUTILITY\shell\open\command" "" '"$INSTDIR\imagingutility.exe" "%1"'

SectionEnd

######################################################################

Section Uninstall
${INSTALL_TYPE}
Delete "$INSTDIR\D3Dcompiler_47.dll"
Delete "$INSTDIR\opengl32sw.dll"
Delete "$INSTDIR\libssl-1_1.dll"
Delete "$INSTDIR\libcrypto-1_1.dll"
Delete "$INSTDIR\fat32format.exe"
Delete "$INSTDIR\libEGL.dll"
Delete "$INSTDIR\libgcc_s_dw2-1.dll"
Delete "$INSTDIR\libGLESV2.dll"
Delete "$INSTDIR\libstdc++-6.dll"
Delete "$INSTDIR\libwinpthread-1.dll"
Delete "$INSTDIR\license.txt"
Delete "$INSTDIR\Qt5Core.dll"
Delete "$INSTDIR\Qt5Gui.dll"
Delete "$INSTDIR\Qt5Network.dll"
Delete "$INSTDIR\Qt5Qml.dll"
Delete "$INSTDIR\Qt5QmlModels.dll"
Delete "$INSTDIR\Qt5QmlWorkerScript.dll"
Delete "$INSTDIR\Qt5Quick.dll"
Delete "$INSTDIR\Qt5QuickControls2.dll"
Delete "$INSTDIR\Qt5QuickTemplates2.dll"
Delete "$INSTDIR\Qt5Svg.dll"
Delete "$INSTDIR\Qt5Widgets.dll"
Delete "$INSTDIR\imagingutility.exe"
Delete "$INSTDIR\styles\qwindowsvistastyle.dll"
Delete "$INSTDIR\QtQuick.2\plugins.qmltypes"
Delete "$INSTDIR\QtQuick.2\qmldir"
Delete "$INSTDIR\QtQuick.2\qtquick2plugin.dll"
Delete "$INSTDIR\QtQuick\Window.2\plugins.qmltypes"
Delete "$INSTDIR\QtQuick\Window.2\qmldir"
Delete "$INSTDIR\QtQuick\Window.2\windowplugin.dll"
Delete "$INSTDIR\QtQuick\Templates.2\plugins.qmltypes"
Delete "$INSTDIR\QtQuick\Templates.2\qmldir"
Delete "$INSTDIR\QtQuick\Templates.2\qtquicktemplates2plugin.dll"
Delete "$INSTDIR\QtQuick\Layouts\plugins.qmltypes"
Delete "$INSTDIR\QtQuick\Layouts\qmldir"
Delete "$INSTDIR\QtQuick\Layouts\qquicklayoutsplugin.dll"
Delete "$INSTDIR\QtQuick\Controls.2\AbstractButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Action.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ActionGroup.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ApplicationWindow.qml"
Delete "$INSTDIR\QtQuick\Controls.2\BusyIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Button.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ButtonGroup.qml"
Delete "$INSTDIR\QtQuick\Controls.2\CheckBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\CheckDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ComboBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Container.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Control.qml"
Delete "$INSTDIR\QtQuick\Controls.2\DelayButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Dial.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Dialog.qml"
Delete "$INSTDIR\QtQuick\Controls.2\DialogButtonBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Drawer.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Frame.qml"
Delete "$INSTDIR\QtQuick\Controls.2\GroupBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ItemDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Label.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Menu.qml"
Delete "$INSTDIR\QtQuick\Controls.2\MenuBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\MenuBarItem.qml"
Delete "$INSTDIR\QtQuick\Controls.2\MenuItem.qml"
Delete "$INSTDIR\QtQuick\Controls.2\MenuSeparator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Page.qml"
Delete "$INSTDIR\QtQuick\Controls.2\PageIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Pane.qml"
Delete "$INSTDIR\QtQuick\Controls.2\plugins.qmltypes"
Delete "$INSTDIR\QtQuick\Controls.2\Popup.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ProgressBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\qmldir"
Delete "$INSTDIR\QtQuick\Controls.2\qtquickcontrols2plugin.dll"
Delete "$INSTDIR\QtQuick\Controls.2\RadioButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\RadioDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\RangeSlider.qml"
Delete "$INSTDIR\QtQuick\Controls.2\RoundButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ScrollBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ScrollIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ScrollView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Slider.qml"
Delete "$INSTDIR\QtQuick\Controls.2\SpinBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\SplitView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\StackView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\SwipeDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\SwipeView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Switch.qml"
Delete "$INSTDIR\QtQuick\Controls.2\SwitchDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\TabBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\TabButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\TextArea.qml"
Delete "$INSTDIR\QtQuick\Controls.2\TextField.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ToolBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ToolButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ToolSeparator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\ToolTip.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Tumbler.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\ApplicationWindow.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\BusyIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Button.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\CheckBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\CheckDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\CheckIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\ComboBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\DelayButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Dial.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Dialog.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\DialogButtonBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Drawer.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Frame.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\GroupBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\ItemDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Label.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Menu.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\MenuBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\MenuBarItem.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\MenuItem.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\MenuSeparator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Page.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\PageIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Pane.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\plugins.qmltypes"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Popup.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\ProgressBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\qmldir"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\qtquickcontrols2universalstyleplugin.dll"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\RadioButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\RadioDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\RadioIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\RangeSlider.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\RoundButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\ScrollBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\ScrollIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Slider.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\SpinBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\SplitView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\StackView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\SwipeDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Switch.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\SwitchDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\SwitchIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\TabBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\TabButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\TextArea.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\TextField.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\ToolBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\ToolButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\ToolSeparator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\ToolTip.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Universal\Tumbler.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\ApplicationWindow.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\BoxShadow.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\BusyIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Button.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\CheckBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\CheckDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\CheckIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\ComboBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\CursorDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\DelayButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Dial.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Dialog.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\DialogButtonBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Drawer.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\ElevationEffect.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Frame.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\GroupBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\ItemDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Label.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Menu.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\MenuBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\MenuBarItem.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\MenuItem.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\MenuSeparator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Page.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\PageIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Pane.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\plugins.qmltypes"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Popup.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\ProgressBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\qmldir"
Delete "$INSTDIR\QtQuick\Controls.2\Material\qtquickcontrols2materialstyleplugin.dll"
Delete "$INSTDIR\QtQuick\Controls.2\Material\RadioButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\RadioDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\RadioIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\RangeSlider.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\RectangularGlow.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\RoundButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\ScrollBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\ScrollIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Slider.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\SliderHandle.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\SpinBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\SplitView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\StackView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\SwipeDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\SwipeView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Switch.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\SwitchDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\SwitchIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\TabBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\TabButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\TextArea.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\TextField.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\ToolBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\ToolButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\ToolSeparator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\ToolTip.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Material\Tumbler.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\ApplicationWindow.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\BusyIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Button.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\CheckBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\CheckDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\ComboBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\DelayButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Dial.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Dialog.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\DialogButtonBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Drawer.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Frame.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\GroupBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\ItemDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Label.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Menu.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\MenuItem.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\MenuSeparator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Page.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\PageIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Pane.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\plugins.qmltypes"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Popup.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\ProgressBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\qmldir"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\qtquickcontrols2imaginestyleplugin.dll"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\RadioButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\RadioDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\RangeSlider.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\RoundButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\ScrollBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\ScrollIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Slider.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\SpinBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\SplitView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\StackView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\SwipeDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\SwipeView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Switch.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\SwitchDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\TabBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\TabButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\TextArea.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\TextField.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\ToolBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\ToolButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\ToolSeparator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\ToolTip.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Imagine\Tumbler.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\ApplicationWindow.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\BusyIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Button.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\ButtonPanel.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\CheckBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\CheckDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\CheckIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\ComboBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\DelayButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Dial.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Dialog.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\DialogButtonBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Drawer.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Frame.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\GroupBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\ItemDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Label.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Menu.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\MenuBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\MenuBarItem.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\MenuItem.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\MenuSeparator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Page.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\PageIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Pane.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\plugins.qmltypes"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Popup.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\ProgressBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\qmldir"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\qtquickcontrols2fusionstyleplugin.dll"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\RadioButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\RadioDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\RadioIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\RangeSlider.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\RoundButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\ScrollBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\ScrollIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Slider.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\SliderGroove.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\SliderHandle.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\SpinBox.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\SplitView.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\SwipeDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Switch.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\SwitchDelegate.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\SwitchIndicator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\TabBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\TabButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\TextArea.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\TextField.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\ToolBar.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\ToolButton.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\ToolSeparator.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\ToolTip.qml"
Delete "$INSTDIR\QtQuick\Controls.2\Fusion\Tumbler.qml"
Delete "$INSTDIR\QtGraphicalEffects\Blend.qml"
Delete "$INSTDIR\QtGraphicalEffects\BrightnessContrast.qml"
Delete "$INSTDIR\QtGraphicalEffects\Colorize.qml"
Delete "$INSTDIR\QtGraphicalEffects\ColorOverlay.qml"
Delete "$INSTDIR\QtGraphicalEffects\ConicalGradient.qml"
Delete "$INSTDIR\QtGraphicalEffects\Desaturate.qml"
Delete "$INSTDIR\QtGraphicalEffects\DirectionalBlur.qml"
Delete "$INSTDIR\QtGraphicalEffects\Displace.qml"
Delete "$INSTDIR\QtGraphicalEffects\DropShadow.qml"
Delete "$INSTDIR\QtGraphicalEffects\FastBlur.qml"
Delete "$INSTDIR\QtGraphicalEffects\GammaAdjust.qml"
Delete "$INSTDIR\QtGraphicalEffects\GaussianBlur.qml"
Delete "$INSTDIR\QtGraphicalEffects\Glow.qml"
Delete "$INSTDIR\QtGraphicalEffects\HueSaturation.qml"
Delete "$INSTDIR\QtGraphicalEffects\InnerShadow.qml"
Delete "$INSTDIR\QtGraphicalEffects\LevelAdjust.qml"
Delete "$INSTDIR\QtGraphicalEffects\LinearGradient.qml"
Delete "$INSTDIR\QtGraphicalEffects\MaskedBlur.qml"
Delete "$INSTDIR\QtGraphicalEffects\OpacityMask.qml"
Delete "$INSTDIR\QtGraphicalEffects\plugins.qmltypes"
Delete "$INSTDIR\QtGraphicalEffects\qmldir"
Delete "$INSTDIR\QtGraphicalEffects\qtgraphicaleffectsplugin.dll"
Delete "$INSTDIR\QtGraphicalEffects\RadialBlur.qml"
Delete "$INSTDIR\QtGraphicalEffects\RadialGradient.qml"
Delete "$INSTDIR\QtGraphicalEffects\RectangularGlow.qml"
Delete "$INSTDIR\QtGraphicalEffects\RecursiveBlur.qml"
Delete "$INSTDIR\QtGraphicalEffects\ThresholdMask.qml"
Delete "$INSTDIR\QtGraphicalEffects\ZoomBlur.qml"
Delete "$INSTDIR\QtGraphicalEffects\private\DropShadowBase.qml"
Delete "$INSTDIR\QtGraphicalEffects\private\DropShadowBase.qmlc"
Delete "$INSTDIR\QtGraphicalEffects\private\FastGlow.qml"
Delete "$INSTDIR\QtGraphicalEffects\private\FastGlow.qmlc"
Delete "$INSTDIR\QtGraphicalEffects\private\FastInnerShadow.qml"
Delete "$INSTDIR\QtGraphicalEffects\private\FastInnerShadow.qmlc"
Delete "$INSTDIR\QtGraphicalEffects\private\FastMaskedBlur.qml"
Delete "$INSTDIR\QtGraphicalEffects\private\FastMaskedBlur.qmlc"
Delete "$INSTDIR\QtGraphicalEffects\private\GaussianDirectionalBlur.qml"
Delete "$INSTDIR\QtGraphicalEffects\private\GaussianDirectionalBlur.qmlc"
Delete "$INSTDIR\QtGraphicalEffects\private\GaussianGlow.qml"
Delete "$INSTDIR\QtGraphicalEffects\private\GaussianGlow.qmlc"
Delete "$INSTDIR\QtGraphicalEffects\private\GaussianInnerShadow.qml"
Delete "$INSTDIR\QtGraphicalEffects\private\GaussianInnerShadow.qmlc"
Delete "$INSTDIR\QtGraphicalEffects\private\GaussianMaskedBlur.qml"
Delete "$INSTDIR\QtGraphicalEffects\private\GaussianMaskedBlur.qmlc"
Delete "$INSTDIR\QtGraphicalEffects\private\qmldir"
Delete "$INSTDIR\QtGraphicalEffects\private\qtgraphicaleffectsprivate.dll"
Delete "$INSTDIR\Qt\labs\settings\plugins.qmltypes"
Delete "$INSTDIR\Qt\labs\settings\qmldir"
Delete "$INSTDIR\Qt\labs\settings\qmlsettingsplugin.dll"
Delete "$INSTDIR\qmltooling\qmldbg_debugger.dll"
Delete "$INSTDIR\qmltooling\qmldbg_inspector.dll"
Delete "$INSTDIR\qmltooling\qmldbg_local.dll"
Delete "$INSTDIR\qmltooling\qmldbg_messages.dll"
Delete "$INSTDIR\qmltooling\qmldbg_native.dll"
Delete "$INSTDIR\qmltooling\qmldbg_nativedebugger.dll"
Delete "$INSTDIR\qmltooling\qmldbg_preview.dll"
Delete "$INSTDIR\qmltooling\qmldbg_profiler.dll"
Delete "$INSTDIR\qmltooling\qmldbg_quickprofiler.dll"
Delete "$INSTDIR\qmltooling\qmldbg_server.dll"
Delete "$INSTDIR\qmltooling\qmldbg_tcp.dll"
Delete "$INSTDIR\platforms\qwindows.dll"
Delete "$INSTDIR\imageformats\qicns.dll"
Delete "$INSTDIR\imageformats\qico.dll"
Delete "$INSTDIR\imageformats\qjpeg.dll"
Delete "$INSTDIR\imageformats\qsvg.dll"
Delete "$INSTDIR\imageformats\qtga.dll"
Delete "$INSTDIR\imageformats\qwbmp.dll"
Delete "$INSTDIR\iconengines\qsvgicon.dll"
Delete "$INSTDIR\bearer\qgenericbearer.dll"
 
RmDir "$INSTDIR\bearer"
RmDir "$INSTDIR\iconengines"
RmDir "$INSTDIR\imageformats"
RmDir "$INSTDIR\platforms"
RmDir "$INSTDIR\qmltooling"
RmDir "$INSTDIR\Qt\labs\settings"
RmDir "$INSTDIR\Qt\labs"
RmDir "$INSTDIR\Qt"
RmDir "$INSTDIR\QtGraphicalEffects\private"
RmDir "$INSTDIR\QtGraphicalEffects"
RmDir "$INSTDIR\QtQuick\Controls.2\Fusion"
RmDir "$INSTDIR\QtQuick\Controls.2\Imagine"
RmDir "$INSTDIR\QtQuick\Controls.2\Material"
RmDir "$INSTDIR\QtQuick\Controls.2\Universal"
RmDir "$INSTDIR\QtQuick\Controls.2"
RmDir "$INSTDIR\QtQuick\Layouts"
RmDir "$INSTDIR\QtQuick\Templates.2"
RmDir "$INSTDIR\QtQuick\Window.2"
RmDir "$INSTDIR\QtQuick"
RmDir "$INSTDIR\QtQuick.2"
RmDir "$INSTDIR\styles"
 
Delete "$INSTDIR\uninstall.exe"
!ifdef WEB_SITE
Delete "$INSTDIR\${APP_NAME} website.url"
!endif

RmDir "$INSTDIR"

!ifdef REG_START_MENU
!insertmacro MUI_STARTMENU_GETFOLDER "Application" $SM_Folder
Delete "$SMPROGRAMS\$SM_Folder\${APP_NAME}.lnk"
!ifdef WEB_SITE
Delete "$SMPROGRAMS\$SM_Folder\${APP_NAME} Website.lnk"
!endif
RmDir "$SMPROGRAMS\$SM_Folder"
!endif

!ifndef REG_START_MENU
Delete "$SMPROGRAMS\Raspberry Pi\${APP_NAME}.lnk"
!ifdef WEB_SITE
Delete "$SMPROGRAMS\Raspberry Pi\${APP_NAME} Website.lnk"
!endif
RmDir "$SMPROGRAMS\Raspberry Pi"
!endif

DeleteRegKey ${REG_ROOT} "${REG_APP_PATH}"
DeleteRegKey ${REG_ROOT} "${UNINSTALL_PATH}"

# File associations
DeleteRegValue SHCTX "Software\Classes\.zip\OpenWithProgIds" "RPI_IMAGINGUTILITY"
DeleteRegValue SHCTX "Software\Classes\.gz\OpenWithProgIds" "RPI_IMAGINGUTILITY"
DeleteRegValue SHCTX "Software\Classes\.xz\OpenWithProgIds" "RPI_IMAGINGUTILITY"
DeleteRegValue SHCTX "Software\Classes\.zip\OpenWithProgIds" "RPI_IMAGINGUTILITY"
DeleteRegKey SHCTX "Software\Classes\RPI_IMAGINGUTILITY"

DeleteRegKey ${REG_ROOT} ""

RMDir /r "$APPDATA\Raspberry Pi\Imager"
RMDir "$APPDATA\Raspberry Pi"
RMDir /r "$LOCALAPPDATA\Raspberry Pi\Imager"
RMDir "$LOCALAPPDATA\Raspberry Pi"

SectionEnd

######################################################################


Function .onInit
!ifdef INNER
 
  ; If INNER is defined, then we aren't supposed to do anything except write out
  ; the uninstaller.  This is better than processing a command line option as it means
  ; this entire code path is not present in the final (real) installer.
  SetSilent silent
  WriteUninstaller "$%TEMP%\uninstall.exe"
  Quit  ; just bail out quickly when running the "inner" installer
!endif
FunctionEnd

